@ECHO OFF

REM ***************************************************
REM Verify DPInst directory exist.
REM This also prevents incorrectly running from compressed
REM folder.
REM

IF NOT EXIST DPInst  GOTO :NODRIVERDIR
GOTO GETOSVERSION

:NODRIVERDIR

echo *******************************************************************
echo * 
echo * ERROR: DPInst  subdirectory missing: kit corrupted
echo * Are you trying to run CDC_Setup.bat using the compressed folder tools?
echo *
echo * Please extract the archive to a new directory and try again.
echo *
echo *
echo *******************************************************************
pause

GOTO :FINISHED

:GETOSVERSION

REM ***************************************************
REM GET OS Version
REM
SET PATH=%CD%;%PATH%

REM PROCESSOR_ARCHITECTURE will be properly set for dos 
IF "%PROCESSOR_ARCHITECTURE%"=="AMD64" GOTO :AMD64

REM PROCESSOR_ARCHITEW6432 will be properly set for cygwin
IF "%PROCESSOR_ARCHITEW6432%"=="AMD64" GOTO :AMD64

REM 32 BIT
SET ARCH=x86
SET DRIVERDIR=%CD%\DPInst\MultiLin\%ARCH%
SET DRIVER=%CD%\DPInst\MultiLin\%ARCH%\microscan_usb_cdc_serial.inf

GOTO :CHECKFLAG

:AMD64
REM 64 BIT
SET ARCH=amd64
SET DRIVERDIR=%CD%\DPInst\MultiLin\%ARCH%
SET DRIVER=%CD%\DPInst\MultiLin\%ARCH%\microscan_usb_cdc_serial.inf

:CHECKFLAG
IF "%1"=="/u" GOTO :UNINSTALLDRV

"%DRIVERDIR%\DPInst.exe" /sw /A /SA

GOTO :FINISHED

:UNINSTALLDRV

"%DRIVERDIR%\DPInst.exe" /SW /U "%DRIVER%" /D

GOTO :FINISHED

:FINISHED
REM echo %1
REM echo OSVER: %OSVER%
REM echo VER: %VER%
REM echo ARCH: %ARCH%
REM echo DRIVERDIR: %DRIVERDIR%